%define build_id3 1
%{?_with_id3: %{expand: %%global build_id3 1}}
%{?_without_id3: %{expand: %%global build_id3 0}}

Summary:	A CD player and ripper/MP3-encoder front-end
Name:		grip
Version:	4.2.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
URL:		https://sourceforge.net/projects/grip/
Source0:	http://prdownloads.sourceforge.net/grip/%{name}-%{version}.tar.xz
BuildRequires: lib64curl-devel
BuildRequires:	imagemagick
Requires:	vorbis-tools
BuildRequires:	libcdda-devel
%if %build_id3
BuildRequires:	libid3-devel
%endif

%description
A GTK+-based CD player and ripper. It has the ripping
capabilities of cdparanoia built in, but can also use external rippers
(such as cdda2wav). It also provides an automated frontend for various
encoders, letting you take a disc and transform it easily straight
into Vorbis, FLAC or MP3 format (MP3 only with a separate MP3 encoder).
The CDDB protocol is supported for retrieving track information from
disc database servers. Grip works with DigitalDJ to provide a unified
"computerized" version of your music collection.

%prep
%setup -q

%build

%configure2_5x \
  --disable-werror \
%if %build_id3
  --enable-id3 \
%else
  --disable-id3 \
%endif
%ifarch alpha ppc
  --disable-cdpar
%endif

%make_build

%install
rm -rf %buildroot
%makeinstall
#We don't need the file in both places
rm -rf %buildroot/%{_datadir}/apps/solid/actions

#menu
sd "AudioVideo;Audio;Player;" "X-MandrivaLinux-Multimedia-Sound;" %buildroot/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/gnome/help/%{name}/
%{_datadir}/pixmaps/grip.png
%{_datadir}/pixmaps/griptray.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/solid/actions/%{name}-audiocd.desktop

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Sep 02 2021 tex - 4.2.3-1pclos2021
- new version

* Mon Jul 12 2021 tex - 4.2.2-1pclos2021
- new version

* Mon May 31 2021 tex - 4.2.1-1pclos2021
- new version

* Thu Jul 16 2020 tex - 4.2.0-1pclos2020
- new version
